Subject: Re: [PATCH bpf-next V2 0/7] xdp: Allow BPF to set RX hints for XDP_REDIRECTed packets

From: Jakub Kicinski <[email-masked]>
Date: Fri, 1 Aug 2025 13:40:45 -0700

On Thu, 31 Jul 2025 23:18:12 +0200 Lorenzo Bianconi wrote:
> IIUC the 'set' proposal (please correct me if I am wrong), the eBPF program
> running on the NIC that is receiving the packet from the wire is supposed
> to set (or update) the hw metadata info (e.g. RX HASH or RX checksum) in
> the RX DMA descriptor associated to the packet to be successively consumed.
> Am I right?

I was thinking of doing the SET on the veth side. Basically the
metadata has to be understood by the stack only at the xdp->skb
transition point. So we can delay the SET until that moment, carrying
the information in program-specific format.